//---------------------------------------------------------------------------
#ifndef MainFrmH
#define MainFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components

    TMemo *InpMemo;
    TSplitter *Splitter;
    TMemo *OutMemo;
    TStatusBar *StatusBar;

    TMainMenu *MainMenu;
    TMenuItem *MenuFile;
    TMenuItem *MenuOpen;
    TMenuItem *MenuSave;
    TMenuItem *MenuRun;
    TMenuItem *MenuExit;
    TMenuItem *MenuEdit;
    TMenuItem *MenuPaste;
    TMenuItem *MenuCopy;
    TMenuItem *MenuCut;
    TMenuItem *MenuDelete;

    TOpenDialog *OpenDialog;
    TSaveDialog *SaveDialog;

   TMenuItem *MenuUndo;
    void __fastcall FormCreate (TObject *Sender);

    void __fastcall MenuOpenClick (TObject *Sender);
    void __fastcall MenuSaveClick (TObject *Sender);
    void __fastcall MenuRunClick (TObject *Sender);
    void __fastcall MenuExitClick (TObject *Sender);

    void __fastcall MenuUndoClick (TObject *Sender);
    void __fastcall MenuCutClick (TObject *Sender);
    void __fastcall MenuCopyClick (TObject *Sender);
    void __fastcall MenuPasteClick (TObject *Sender);
    void __fastcall MenuDeleteClick (TObject *Sender);

private:
    void SetTitle (String txt);
    void SetStatus (String txt);
    void Compile ();

public:
    __fastcall TMainForm (TComponent* Owner);

    String GetInpText ();
    String GetInpLine (int num);

    void ClearOutLines ();
    void ShowOutLine (String txt);

    void ShowError (String txt);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
